diff --git a/tests/TestSuite_ice_iavf_ip_fragment_rte_flow.py b/tests/TestSuite_ice_iavf_ip_fragment_rte_flow.py
index 8c9cfd9d..8d035df5 100644
--- a/tests/TestSuite_ice_iavf_ip_fragment_rte_flow.py
+++ b/tests/TestSuite_ice_iavf_ip_fragment_rte_flow.py
@@ -49,6 +49,7 @@ tv_mac_ipv4_frag_fdir_queue_index = {
     "scapy_str": {
         "matched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
         "unmatched": [
+            "Ether(dst='00:11:22:33:55:66')/IP()/Raw('X'*666)",
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
     },
@@ -63,6 +64,7 @@ tv_mac_ipv4_frag_fdir_rss_queues = {
     "scapy_str": {
         "matched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
         "unmatched": [
+            "Ether(dst='00:11:22:33:55:66')/IP()/Raw('X'*666)",
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
     },
@@ -75,6 +77,7 @@ tv_mac_ipv4_frag_fdir_passthru = {
     "scapy_str": {
         "matched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
         "unmatched": [
+            "Ether(dst='00:11:22:33:55:66')/IP()/Raw('X'*666)",
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
     },
@@ -87,6 +90,7 @@ tv_mac_ipv4_frag_fdir_drop = {
     "scapy_str": {
         "matched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
         "unmatched": [
+            "Ether(dst='00:11:22:33:55:66')/IP()/Raw('X'*666)",
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
     },
@@ -99,6 +103,7 @@ tv_mac_ipv4_frag_fdir_mark_rss = {
     "scapy_str": {
         "matched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
         "unmatched": [
+            "Ether(dst='00:11:22:33:55:66')/IP()/Raw('X'*666)",
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
     },
@@ -111,6 +116,7 @@ tv_mac_ipv4_frag_fdir_mark = {
     "scapy_str": {
         "matched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
         "unmatched": [
+            "Ether(dst='00:11:22:33:55:66')/IP()/Raw('X'*666)",
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
     },
@@ -157,7 +163,8 @@ tv_mac_ipv6_frag_fdir_queue_index = {
         "matched": [
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
-        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
+        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IPv6()/Raw('X'*666)",
+                      "Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
     },
     "check_param": {"port_id": 0, "rxq": LAUNCH_QUEUE, "queue": 1, "mark_id": 0},
 }
@@ -171,7 +178,8 @@ tv_mac_ipv6_frag_fdir_rss_queues = {
         "matched": [
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
-        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
+        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IPv6()/Raw('X'*666)",
+                      "Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
     },
     "check_param": {"port_id": 0, "rxq": LAUNCH_QUEUE, "queue": [2, 3], "mark_id": 0},
 }
@@ -183,7 +191,8 @@ tv_mac_ipv6_frag_fdir_passthru = {
         "matched": [
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
-        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
+        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IPv6()/Raw('X'*666)",
+                      "Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
     },
     "check_param": {"port_id": 0, "rxq": LAUNCH_QUEUE, "mark_id": 0, "rss": True},
 }
@@ -195,7 +204,8 @@ tv_mac_ipv6_frag_fdir_drop = {
         "matched": [
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
-        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
+        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IPv6()/Raw('X'*666)",
+                      "Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
     },
     "check_param": {"port_id": 0, "rxq": LAUNCH_QUEUE, "drop": True},
 }
@@ -207,7 +217,8 @@ tv_mac_ipv6_frag_fdir_mark_rss = {
         "matched": [
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
-        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
+        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IPv6()/Raw('X'*666)",
+                      "Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
     },
     "check_param": {"port_id": 0, "rxq": LAUNCH_QUEUE, "mark_id": 0, "rss": True},
 }
@@ -219,7 +230,8 @@ tv_mac_ipv6_frag_fdir_mark = {
         "matched": [
             "Ether(dst='00:11:22:33:55:66')/IPv6()/IPv6ExtHdrFragment(id=47750)/Raw('X'*666)"
         ],
-        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
+        "unmatched": ["Ether(dst='00:11:22:33:55:66')/IPv6()/Raw('X'*666)",
+                      "Ether(dst='00:11:22:33:55:66')/IP(id=47750)/Raw('X'*666)"],
     },
     "check_param": {"port_id": 0, "rxq": LAUNCH_QUEUE, "mark_id": 1},
 }